Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1446529

Summary: pyOpenSSL F25->F26 upgrade path broken
Product: [Fedora] Fedora Reporter: Michal Schmidt <mschmidt>
Component: pyOpenSSLAssignee: Tomas Mraz <tmraz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: jlieskov, mcepl, mcepl, tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pyOpenSSL-16.2.0-4.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-01 18:17:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Michal Schmidt 2017-04-28 09:53:20 UTC
Description of problem:
F26 renamed pyOpenSSL to python2-pyOpenSSL. F25's current version of pyOpenSSL is not properly Obsoleted by F26's python2-pyOpenSSL. This causes a failure when upgrading F25 to F26.
F25 has pyOpenSSL-16.2.0-1.fc25.
F26 has pyOpenSSL-16.2.0-3.fc26, which says:
  Obsoletes: pyOpenSSL < 16.0.0-3

Version-Release number of selected component (if applicable):
pyOpenSSL-16.2.0-3.fc26

How reproducible:
100%

Steps to Reproduce:
1. Let's have F25 with pyOpenSSL-16.2.0-1.fc25 installed.
2. Attempt an upgrade to F26:
   dnf system-upgrade download --refresh --releasever=26

Actual results:
After packages are downloaded, dnf reports multiple errors like this one:
Error: Transaction check error:
  file /usr/lib/python2.7/site-packages/OpenSSL/__init__.pyc from install of python2-pyOpenSSL-16.2.0-3.fc26.noarch conflicts with file from package pyOpenSSL-16.2.0-1.fc25.noarch

Expected results:
No file conflicts. pyOpenSSL gets Obsoleted by python2-pyOpenSSL in the transaction.

Additional information:
The version specified in the Obsoletes needs to be bumped to cover pyOpenSSL from F25.

Comment 1 Fedora Update System 2017-04-28 12:53:01 UTC
pyOpenSSL-16.2.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-536f81fbd1

Comment 2 Fedora Update System 2017-04-30 03:52:34 UTC
pyOpenSSL-16.2.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-536f81fbd1

Comment 3 Fedora Update System 2017-05-01 18:17:59 UTC
pyOpenSSL-16.2.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.